Last modified: 2012-04-16 09:15:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28545 - uca-default collation puts sortkeys starting with spaces under a U+6DE
uca-default collation puts sortkeys starting with spaces under a U+6DE
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Categories (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 30673
  Show dependency treegraph
 
Reported: 2011-04-15 00:58 UTC by Bawolff (Brian Wolff)
Modified: 2012-04-16 09:15 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bawolff (Brian Wolff) 2011-04-15 00:58:21 UTC
Splitting off from bug 28540.

If you have a page with [[category:Foo| ]] on it, its expected to sort under an empty header (or one containing a space to be more specific). In the uca-default collation, it sorts under U+6DE character ( ARABIC START OF RUB EL HIZB ). Probably something to do with the weirdness of sorting things under a space. Might have to do some sort of special casing for it, since it is kind of a special case.
Comment 1 Bawolff (Brian Wolff) 2011-09-12 02:11:13 UTC
fixed in r96825

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links